Subject: Re: bug#2022: 23.0.60; Rmail buffer marked modified after saving it

From: Eli Zaretskii <[email-masked]>
Date: Sun, 25 Jan 2009 06:20:42 +0200

> From: Richard M Stallman <[email-masked]>
> CC: [email-masked], [email-masked],
> 	[email-masked]
> Date: Sat, 24 Jan 2009 20:53:23 -0500
> 
>       emacs -Q
>       C-u M-x rmail FOO RET
>       C-u g FOO.2 RET
> 
>     The last command automatically saves the Rmail inbox (as it should),
>     but the buffer is nevertheless marked modified after the save.
> 
> Maybe it is deleting the "unseen" attribute when it shows one of the
> newly insertes message.

That's what Glenn found out, yes.  But I don't think I, as a user,
care about that attribute: if the buffer was just saved, it is not
modified from the user perspective.  I find the fact that it is shown
as modified confusing.